#include "ConfigFile.h"
#include "LDAPCheck.h"
#include "FileCheck.h"

#include <string>
#include <iostream>

using namespace std;

string num2str(int num, int len);

//overload ConfigFile with new default
#ifndef AUTHCONFIG
#define AUTHCONFIG

class AuthConfig : public ConfigFile
{
private:
	string GetDefault()
	{
		return string("# AuthCheck Configuration File\n\
#\n\
# Each authentication method should be labeled as Auth-XXX, where XXX are\n\
#consecutive numbers. For example:\n\
#Auth-XXX = type host      port user-pattern                                     TLS?\n\
#Auth-001 = ldap localhost 389  uid=%user%,cn=users,dc=wombat,dc=perforce,dc=com true\n\
");
	}
	string GetFilename()
	{
		return string("AuthCheck.conf");
	}
public:
	AuthConfig(string Filename="")
	{
		File = Filename;
		setup();
	}
};

#endif
